Get Integrations

  • GET
  • /workspaces
  • /:workspace
  • /integrations
  • /:hash_id

Get a specific integration by hash ID

Request

REQUIRED SCOPES
INTEGRATION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

hash_idrequiredstring
The hash ID of the integration

Example: "abc123def456"

Response

RESPONSE BODY
typestring enum
The type of integration
Allowed enum:
GIT_HUB,
BITBUCKET,
GOOGLE,
DIGITAL_OCEAN,
SLACK,
MODULUS,
HEROKU,
AMAZON,
GIT_LAB,
SHOPIFY,
GIT_HUB_ENTERPRISE,
GIT_LAB_ENTERPRISE,
PUSHOVER,
PUSHBULLET,
RACKSPACE,
CUSTOM,
CLOUDFLARE,
NEW_RELIC,
SENTRY,
ROLLBAR,
DATADOG,
DO_SPACES,
HONEYBADGER,
VULTR,
SENTRY_ENTERPRISE,
LOGGLY,
HIP_CHAT,
FIREBASE,
TELEGRAM,
AZURE,
UPCLOUD,
GHOST_INSPECTOR,
NETLIFY,
AZURE_CLOUD,
MICROSOFT_TEAMS,
GOOGLE_SERVICE_ACCOUNT,
GOOGLE_PLAY_STORE,
DOCKER_HUB,
APP_STORE,
GIT_HUB_APP,
GIT_HUB_APP_ENTERPRISE,
GIT_HUB_API,
ATOP,
SNYK,
STACK_HAWK,
BLACKFIRE,
BACKBLAZE,
ONE_LOGIN,
OKTA,
CONTENTFUL,
JIRA,
NPM_REGISTRY,
ANTHROPIC
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
identifierstring
A human-readable ID of the integration
hash_idstring
The unique hash ID of the integration
namestring
The name of the integration
auth_typestring enum
The authentication method used by the integration
Allowed enum:
OAUTH,
TOKEN,
API_KEY,
APP,
APP_SPRYKER,
TOKEN_APP_EXTENSION,
DEFAULT,
OIDC,
TRUSTED,
APP_RW
scopestring enum
The scope of the integration
Allowed enum:
WORKSPACE,
PROJECT,
ENVIRONMENT
project_namestring
The human-readable ID of the project (required when scope is PROJECT)
app_idstring
The application ID for Azure Cloud integrations
google_projectstring
The Google Cloud project ID
host_urlstring
The host URL for custom integrations
webhook_addressstring
The webhook URL for receiving notifications
audiencestring
The JWT audience for token validation
atop_urlstring
The ATOP service URL
permissionsIntegrationPermissionsView
Permission settings defining who can use this integration
all_pipelines_allowedboolean
Set to true to allow all pipelines to use this integration
allowed_pipelinesShortPipelineView[]
List of specific pipelines allowed to use this integration
disabledboolean
Set to true to disable the integration. Disabled integrations cannot be used in actions

Last modified on Apr 22, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/integrations/:hash_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/user/integrations/abc123def456", "html_url": "https://app.buddy.works/my-company/integrations/NLVaDzgp6W2qJljaQlJOoYdmZ3", "hash_id": "NLVaDzgp6W2qJljaQlJOoYdmZ3", "name": "GitHub Integration", "type": "GIT_HUB", "identifier": "my-github-integration", "scope": "WORKSPACE", "auth_type": "TOKEN", "webhook_address": "https://api.github.com/repos/username/repository/hooks", "all_pipelines_allowed": true, "allowed_pipelines": [], "permissions": { "others": "USE_ONLY", "admins": "MANAGE", "users": [], "groups": [] } }
STATUS
200 OK